loadresource("data\\4\\0\\BigTexture1.png","BigTexture1",2);
loadresource("data\\4\\0\\vremea.jpg","vremea",2);
loadresource("data\\0\\0\\arrow_anim1.png","arrow11");
loadresource("data\\4\\0\\bg.jpg","bg");
loadresource("data\\4\\0\\anim\\1.jpg","anim1");
loadresource("data\\4\\0\\anim\\2.jpg","anim2");
loadresource("data\\4\\0\\anim\\3.jpg","anim3");
loadresource("data\\4\\0\\anim\\4.jpg","anim4");
loadresource("data\\4\\0\\bg3.jpg","a1012")
loadresource("data\\3\\0\\1.png","chastica",10000);
-- set_activ_leaf("inside");



addstaticobjecttogame(5500, "chastica",50,50,"");
addstaticobjecttogame(5501, "chastica",100,50,"");
addstaticobjecttogame(5502, "chastica",300,50,"");
addstaticobjecttogame(5503, "chastica",400,50,"");
addstaticobjecttogame(5504, "chastica",284,468,"");
addstaticobjecttogame(5505, "chastica",600,50,"");
addstaticobjecttogame(5506, "chastica",600,50,"");

addstaticobjecttogame(5507, "chastica",600,50,"");
addstaticobjecttogame(5508, "chastica",600,50,"");

addstaticobjecttogame(5509, "chastica",600,500,"");
addstaticobjecttogame(5510, "chastica",600,500,"");
addstaticobjecttogame(5511, "chastica",600,500,"");
addstaticobjecttogame(5512, "chastica",600,500,"");
addstaticobjecttogame(5513, "chastica",600,500,"");
addstaticobjecttogame(5514, "chastica",600,500,"");



-- addstaticobjecttogame(1003, "a1003",1024,200,"");
CreateMiniOutfit();
set_visible_object( obj.mini_border.id, false );
set_visible_object( obj.mini_skip2.id, false );
set_visible_object( obj.mini_help2.id, false );
set_visible_object( obj.mini_skip_loading.id, false );
set_visible_object( obj.mini_menu2.id, false );


add_animation(NewId("arrow3"));

add_animation_frame(obj.arrow3.id,"arrow11",130,530,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow3.id,"arrow1")
add_animation_frame(obj.arrow3.id,"arrow11",130,530,63,60,60,60,0.1);
add_animation_frame(obj.arrow3.id,"arrow11",130,530,126,60,60,60,0.1);
add_animation_frame(obj.arrow3.id,"arrow11",130,530,63,60,60,60,0.1);				
speciale_action(2,obj.arrow3.id);	

add_animation(NewId("arrow4"));
add_animation_frame(obj.arrow4.id,"arrow11",400,70,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow4.id,"arrow1")
add_animation_frame(obj.arrow4.id,"arrow11",400,70,63,60,60,60,0.1);
add_animation_frame(obj.arrow4.id,"arrow11",400,70,126,60,60,60,0.1);
add_animation_frame(obj.arrow4.id,"arrow11",400,70,63,60,60,60,0.1);				
speciale_action(2,obj.arrow4.id);	

add_animation(NewId("arrow5"));
add_animation_frame(obj.arrow5.id,"arrow11",500,70,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow5.id,"arrow1")
add_animation_frame(obj.arrow5.id,"arrow11",500,70,63,60,60,60,0.1);
add_animation_frame(obj.arrow5.id,"arrow11",500,70,126,60,60,60,0.1);
add_animation_frame(obj.arrow5.id,"arrow11",500,70,63,60,60,60,0.1);				
speciale_action(2,obj.arrow5.id);	

add_animation(NewId("arrow6"));
add_animation_frame(obj.arrow6.id,"arrow11",380,70,0,60,60,60,0.1);
-- AddFrameFunc(obj.arrow6.id,"arrow1")
add_animation_frame(obj.arrow6.id,"arrow11",380,70,63,60,60,60,0.1);
add_animation_frame(obj.arrow6.id,"arrow11",380,70,126,60,60,60,0.1);
add_animation_frame(obj.arrow6.id,"arrow11",380,70,63,60,60,60,0.1);				
speciale_action(2,obj.arrow6.id);	


NewId("a25");
NewId("a26");
NewId("a27");
NewId("a28");
NewId("a29");
NewId("a30");
NewId("a31");
NewId("a32");

obj.a32.x = 386;
obj.a32.y = 117;
obj.a32.pos = 1;
obj.a32.pos1 = 2;
obj.a32.placed = false;

obj.a31.x = 412;
obj.a31.y = 119;
obj.a31.pos = 2;
obj.a31.pos1 = 1;
obj.a31.placed = false;

obj.a30.x = 434;
obj.a30.y = 121;
obj.a30.pos = 3;
obj.a30.pos1 = 4;
obj.a30.placed = false;

obj.a29.x = 456;
obj.a29.y = 121;
obj.a29.pos = 4;
obj.a29.pos1 = 8;
obj.a29.placed = false;

obj.a28.x = 542;
obj.a28.y = 122;
obj.a28.pos = 5;
obj.a28.pos1 = 6;
obj.a28.placed = false;

obj.a27.x = 563;
obj.a27.y = 121;
obj.a27.pos = 6;
obj.a27.pos1 = 3;
obj.a27.placed = false;

obj.a26.x = 586;
obj.a26.y = 122;
obj.a26.pos = 7;
obj.a26.pos1 = 5;
obj.a26.placed = false;

obj.a25.x = 612;
obj.a25.y = 117;
obj.a25.pos = 8;
obj.a25.pos1 = 7;
obj.a25.placed = false;

NewObj( "a25", "BigTexture1", obj.a25.x, obj.a25.y, "" ,0,0,349,849,24,68);
NewObj( "a26", "BigTexture1", obj.a26.x, obj.a26.y, "" ,0,0,418,855,23,67);
NewObj( "a27", "BigTexture1", obj.a27.x, obj.a27.y, "" ,0,0,400,855,18,64);
NewObj( "a28", "BigTexture1", obj.a28.x, obj.a28.y, "" ,0,0,376,855,24,65);
NewObj( "a29", "BigTexture1", obj.a29.x, obj.a29.y, "" ,0,0,476,842,21,67);
NewObj( "a30", "BigTexture1", obj.a30.x, obj.a30.y, "" ,0,0,222,651,24,68);
NewObj( "a31", "BigTexture1", obj.a31.x, obj.a31.y, "" ,0,0,476,742,24,66);
NewObj( "a32", "BigTexture1", obj.a32.x, obj.a32.y, "" ,0,0,441,855,21,67);
OnMouseOver(obj.a25.id)
OnMouseOver(obj.a26.id)
OnMouseOver(obj.a27.id)
OnMouseOver(obj.a28.id)
OnMouseOver(obj.a29.id)
OnMouseOver(obj.a30.id)
OnMouseOver(obj.a31.id)
OnMouseOver(obj.a32.id)




set_pixel_check( obj.a25.id, false );
set_pixel_check( obj.a26.id, false );
set_pixel_check( obj.a27.id, false );
set_pixel_check( obj.a28.id, false );
set_pixel_check( obj.a29.id, false );
set_pixel_check( obj.a30.id, false );
set_pixel_check( obj.a31.id, false );
set_pixel_check( obj.a32.id, false );
-- конец висюльки
NewObj( "a255", "BigTexture1", obj.a25.x-5, obj.a25.y-7, "" ,0,0,253,917,32,76);
NewObj( "a266", "BigTexture1", obj.a26.x-5, obj.a26.y-7, "" ,0,0,103,910,31,75);
NewObj( "a277", "BigTexture1", obj.a27.x-5, obj.a27.y-7, "" ,0,0,63,946,26,72);
NewObj( "a288", "BigTexture1", obj.a28.x-5, obj.a28.y-7, "" ,0,0,63,873,32,73);
NewObj( "a299", "BigTexture1", obj.a29.x-5, obj.a29.y-7, "" ,0,0,103,835,29,75);
NewObj( "a300", "BigTexture1", obj.a30.x-5, obj.a30.y-7, "" ,0,0,142,917,32,76);
NewObj( "a311", "BigTexture1", obj.a31.x-5, obj.a31.y-7, "" ,0,0,174,917,31,74);
NewObj( "a322", "BigTexture1", obj.a32.x-5, obj.a32.y-7, "" ,0,0,0,905,25,75);



speciale_action(2,obj.a255.id)
speciale_action(2,obj.a266.id)
speciale_action(2,obj.a277.id)
speciale_action(2,obj.a288.id)
speciale_action(2,obj.a299.id)
speciale_action(2,obj.a300.id)
speciale_action(2,obj.a311.id)
speciale_action(2,obj.a322.id)
addstaticobjecttogame(2,"BigTexture1",68,202,"",0,980,40,29);
addstaticobjecttogame(3,"BigTexture1",29,488,"",246,663,33,45);
NewObj("wine_glass44","BigTexture1",420,376,"5",0,0,481,637,24,46);
NewObj("coin44","BigTexture1",154,140,"6",0,0,63,835,40,38);
NewObj("buckle44","BigTexture1",618,430,"35",0,0,246,708,33,22);
NewObj("joint44","BigTexture1",178,450,"9",0,0,210,849,87,68);
addstaticobjecttogame(10,"BigTexture1",287,294,"",481,700,19,22);
NewObj("tube44","BigTexture1",278,266,"11",0,0,338,796,30,50);
-- NewObj("match44","a0012",217,627,"34");
NewObj("ashtray44","BigTexture1",408,621,"13",0,0,355,986,48,31);
NewObj("glasses44","BigTexture1",369,32,"14",0,0,142,993,69,30);
NewObj("staff44","BigTexture1",500,206,"15",0,0,46,835,17,172);
addstaticobjecttogame(16,"BigTexture1",830,208,"",481,683,27,17);
NewObj("envelope44","BigTexture1",830,187,"17",0,0,403,986,49,38);
addstaticobjecttogame(18,"BigTexture1",81,259,"",297,849,52,90);
addstaticobjecttogame(19,"BigTexture1",791,452,"",476,808,36,34);
NewObj("chain44","BigTexture1",485,378,"20",0,0,172,651,50,70);
NewObj("magnet44","BigTexture1",883,54,"21",0,0,338,743,36,53);
addstaticobjecttogame(22,"BigTexture1",125,514,"",0,835,46,70);
addstaticobjecttogame(23,"BigTexture1",755,532,"",255,743,83,62);
NewObj("goblet44","BigTexture1",719,479,"24",0,0,142,651,30,52);
NewObj("amfora44","BigTexture1",640,580,"34",0,0,210,917,43,56); -- amphora
NewObj("cassette44","BigTexture1",255,5,"4",0,0,297,970,58,47);



addstaticobjecttogame(34,"BigTexture1",695,588,"",142,743,113,66);
addstaticobjecttogame(35,"BigTexture1",390,521,"",246,394,258,139);
addactivobjecttogame(36,"BigTexture1",460,436,"","",0,0,376,742,100,113); -- fontan

NewObj("manuscript44","BigTexture1",482,513,"33",0,0,211,993,69,23);
set_visible_object( obj.manuscript44.id, false );
setcolor( obj.manuscript44.id, 0.2, 0, 0.8, 1, 1 );
-- setcolor( obj.amfora44.id, 0.2, 0, 0.8, 1, 1 );
addactivobjecttogame(38,"BigTexture1",412,168,"","",0,0,246,0,182,394); -- fontan
addactivobjecttogame(39,"BigTexture1",519,230,"","",0,0,0,743,142,92); -- fontan
SetObjectPosition( 39, 365, 202 )
addactivobjecttogame(40,"BigTexture1",359,230,"","",0,0,0,651,142,92); -- fontan
SetObjectPosition( 40, 517, 255 )
addactivobjecttogame(41,"BigTexture1",424,210,"","",0,0,142,809,172,40); -- fontan
SetHotPoint(41,86,20);
RotateObject( 41, 0, 20, 0.1 );

set_pixel_check( obj.wine_glass44.id, false );

Set_Cursor(obj.manuscript44.id,4)
addstaticobjecttogame(42,"BigTexture1",396,435,"",246,533,130,130);
SetHotPoint( 42, 65, 65 );
addstaticobjecttogame(43,"BigTexture1",510,418,"",142,849,68,68);
SetHotPoint( 43, 34, 34 );
addstaticobjecttogame(44,"BigTexture1",458,314,"",376,637,105,105);
SetHotPoint( 44, 52, 52 );
addstaticobjecttogame(45,"BigTexture1",524,474,"",376,533,105,104);
SetHotPoint( 45, 52, 52 );

addstaticobjecttogame( 207, "BigTexture1", 168, 560,"", 297,939,202,31 );

                    
-- синие силуэты
addstaticobjecttogame( 301, "BigTexture1", 172, 583, "",462,855,12,34 );
addstaticobjecttogame( 302, "BigTexture1", 202, 587, "" ,366,663,10,36);
addstaticobjecttogame( 303, "BigTexture1", 228, 582, "",500,770,11,34 );
addstaticobjecttogame( 304, "BigTexture1", 251, 591, "" ,500,737,12,33);
addstaticobjecttogame( 305, "BigTexture1", 280, 581, "",353,663,13,39 );
addstaticobjecttogame( 306, "BigTexture1", 302, 590, "",353,702,14,35 );
addstaticobjecttogame( 307, "BigTexture1", 328, 584, "" ,500,700,12,37);
addstaticobjecttogame( 308, "BigTexture1", 354, 587, "" ,462,889,10,31);
-- конец синие силуэты  

for i = 301, 308 do
	set_visible_object( i, false);
end;

for i = 201, 208 do
	SetHotPoint( i, 11, 10 );
	set_pixel_check( i, false );
end;


addstaticobjecttogame(333,"anim1",0,0,"");
addstaticobjecttogame(334,"anim2",0,0,"");
addstaticobjecttogame(335,"anim3",0,0,"");
addstaticobjecttogame(336,"anim4",0,0,"");
set_visible_object( 333, false );
set_visible_object( 334, false );
set_visible_object( 335, false );

addstaticobjecttogame(46,"bg",0,0,"");

speciale_action(2,34);
---------------------------------------------------------


-- function plashkakuvshin ()
-- CreatePlashechka(6676767,"47","goodgirl")
-- end


function MiniCreate()
playeffect("025")
takeobjecttohand=true
ShowMenu(false)
	TakeGlove();
	if not flags.mini then
		StopEmiter("HighlightFountain")
	end
	set_visible_object( obj.mini_border.id, true );
	set_visible_object( obj.mini_skip2.id, true );
	set_visible_object( obj.mini_help2.id, true );
	set_visible_object( obj.mini_skip_loading.id, true );
	set_visible_object( obj.mini_menu2.id, true );
	ShowMenu(false);
	flags.wait_mini = false;
	flags.mini = true;
	Set_Cursor(36,3)
	Set_Cursor(38,3)
	Set_Cursor(39,3)
	Set_Cursor(40,3)
	Set_Cursor(41,3)
	StartTimer(1111,1.5);
	flags.startmini=true;
	gameinput(33,-1,-1)	
end;

function FinishMini()
takeobjecttohand=false
		if flags["taps"] == 0 then
			StartTimer(1333,0.2);
		end
	HideGlove()
	if now_attached then
		ReleaseObject(now_attached);
	end
	
	del_object_from_game(obj.mini_border.id)
	del_object_from_game(obj.mini_skip2.id)
	del_object_from_game(obj.mini_skip_loading.id)
	del_object_from_game(obj.mini_menu2.id)
	del_object_from_game(obj.mini_skip1.id)
	del_object_from_game(obj.mini_help1.id)
	del_object_from_game(obj.mini_skip.id)
	del_object_from_game(obj.mini_help.id)
	del_object_from_game(obj.mini_menu.id)
	del_object_from_game(obj.mini_menu1.id)
	del_object_from_game(obj.mini_help1.id)
	del_object_from_game(obj.mini_help2.id)
	
	
	flags.mini = false;
setcolor( obj.manuscript44.id, 0, 0, 0, 1, 1 );
	flags.mini_complete = true;
	ShowMenu(true);
	set_visible_object(obj.arrow6.id,false)
	set_visible_object(obj.arrow5.id,false)
	if not flags.comics1 then
		MoveByVector( 40, 519, 230, 3, 100 );
		MoveByVector( 39, 359, 230, 3, 100 );
		MoveObjectY( 36, 436, 500, 4 );
		playeffect("049")
		RotateObject( 41, 20, 0, 3 );
		-- StartTimer(432,3,"plashkakuvshin")
		StartEmiter("manuskript")
	else
		SetObjectPosition(40,519,230);
		SetObjectPosition(39,359,230);
		SetObjectPosition(36,460,500);
		RotateObject( 41, 20, 0, 0.1 );
		set_visible_object(37,false)
		set_visible_object(34,true)
		set_visible_object(obj.manuscript44.id,true)
		StartEmiter("manuskript")
	end
	set_visible_object(obj.manuscript44.id,true)
	
	SetObjectPosition(obj.a31.id,386,121);
	SetObjectPosition(obj.a32.id,412,121);
	SetObjectPosition(obj.a27.id,434,121);
	SetObjectPosition(obj.a30.id,456,121);
	SetObjectPosition(obj.a26.id,542,121);
	SetObjectPosition(obj.a28.id,563,121);
	SetObjectPosition(obj.a25.id,586,121);
	SetObjectPosition(obj.a29.id,612,121);
	
	for i=obj.a25.id, obj.a32.id do
		setcolor(i,0.5,0.5,0.5,1);
	end
	
	StartEmiter("WaterDrops1");
	StartEmiter("WaterDrops2");
	StartEmiter("WaterDrops3");
	StartEmiter("WaterDrops4");
	StartEmiter("WaterDrops5");
	StartEmiter("WaterDrops6");
	StartEmiter("WaterDrops7");
	StartEmiter("WaterDrops8");
	
	set_visible_object(301,true)
	set_visible_object(302,true)
	set_visible_object(303,true)
	set_visible_object(304,true)
	set_visible_object(305,true)
	set_visible_object(306,true)
	set_visible_object(307,true)
	set_visible_object(308,true)
end


CreateCommonObjects( 4 );